import createAccountDTO from '../dto/createAccountDTO';
import { INewUserData } from '../dto/protocols';
import createAcountRO from '../response-object/createAcountRO';
import { CreateAccountROReturnType } from '../response-object/protocols';
import ICreateAcountRepo from './ICreateAcountRepo';
import { HttpHandler } from './protocols';

export default class CreateAccountRepo implements ICreateAcountRepo {
  private httpHandler: HttpHandler;

  constructor(httpHandler: HttpHandler) {
    this.httpHandler = httpHandler;
  }

  execute: (newUser: INewUserData) => Promise<CreateAccountROReturnType> = async (newUser: INewUserData) => {
    // call dto
    const dto = createAccountDTO(newUser);
    // call
    const newAccountResponse = await this.httpHandler(dto);
    // call response object
    const newAccount = createAcountRO(newAccountResponse);
    return newAccount;
  };
}
