import { INewUserData } from '../create-account/data/dto/protocols';
import ICreateAcountRepo from '../create-account/data/repository/ICreateAcountRepo';
import ICreateProfileRepo from '../create-profile/data/repository/ICreateProfileRepo';

export default class CreateUserUsecase {
  private accountRepository: ICreateAcountRepo;

  private profileRepository: ICreateProfileRepo;

  constructor(accountRepository: ICreateAcountRepo, profileRepository: ICreateProfileRepo) {
    this.accountRepository = accountRepository;
    this.profileRepository = profileRepository;
  }

  async execute(newUser: INewUserData) {
    // create acount
    const newAccountResponse = await this.accountRepository.execute(newUser);
    const newProfileData = {
      ...newAccountResponse,
      ...newUser,
    };
    // create profile by account ID
    const newProfileResponse = await this.profileRepository.execute(newProfileData);

    return newProfileResponse;
  }
}
