import React, { PropsWithChildren } from 'react';

export interface IInputWrapper {
  title: string;
  className?: string;
}

export default function InputWrapper(props: PropsWithChildren<IInputWrapper>) {
  const { children, title, className } = props;
  return (
    <div className={`flex flex-col ${className}`}>
      <label className='mb-1 text-txt-second text-xs' htmlFor={title}>
        {title}
      </label>
      {children}
    </div>
  );
}
