/* eslint-disable react/no-array-index-key */
import React from 'react';
import RowItem from './table-row-item/view/RowItem';
import { ITableRowProps } from './protocols';

export default function TableRowView(props: ITableRowProps) {
  const { isSelected, setSelectedRowId, rowData } = props;
  const { rowId, rowItemsTitle } = rowData;
  const columns = rowItemsTitle.map((rowItemTitle, index) => {
    return (
      <RowItem
        rowData={rowData}
        key={((rowItemTitle as string) || 'row') + index}
        hasCheckbox={index === 0}
        isSelected={isSelected}
        title={rowItemTitle as string}
      />
    );
  });

  return <tr onClick={() => setSelectedRowId(rowId)}>{columns}</tr>;
}
