import React from 'react';
import createPlaceAdapter from '~/driven/adapters/create-place-adapter/createPlaceAdapter';
import useGetNavigatorAndTokenUpdater from '~/driven/utils/helpers/hooks/getNavigatorAndAccessTokenUpdator';
import CreatePlaceView from '../view/CreatePlaceView';
import useCreatePlaceVm from '../viewmodel/createPlaceVM';
import createPlaceModel from '../model/createPlaceModel';

export default function CreatePlace() {
  const { accessTokenUpdateHandler, notLoginAuth, userData } = useGetNavigatorAndTokenUpdater();
  const { user } = userData;

  const createPlaceDrivenAdapter = createPlaceAdapter(user, accessTokenUpdateHandler, notLoginAuth);
  const { inputOptions, createPlace } = createPlaceModel(createPlaceDrivenAdapter);
  const { formStateData, inputStateHandlers, selectBoxOptions, handleSubmitCreatePlaceForm } = useCreatePlaceVm({
    getInputOptions: inputOptions,
    createPlaceModel: createPlace,
  });
  return (
    <CreatePlaceView
      handleSubmitCreatePlaceForm={handleSubmitCreatePlaceForm}
      inputOptions={{
        parentId: selectBoxOptions.parentIdsOptions,
        placeType: selectBoxOptions.placeTypesOptions,
        isParentIdLoading: selectBoxOptions.isParentIdLoading,
      }}
      formStateData={formStateData}
      inputStateHandlers={inputStateHandlers}
    />
  );
}
