import { CreatePlaceType } from './protocols';
import getValidOptionsOfSelectBox from './getValidOptionsOfSelectBox';
import createPlaceLogicMaker, { ICreatePlaceLogicMaker } from './submiCreatePlace';

type ICreatePlaceModel = ICreatePlaceLogicMaker;

const createPlaceModel = (depenedencies: ICreatePlaceModel): CreatePlaceType => {
  const { getPlacesTypeOptionsOfSelectBox, getValidParentIdsOptionsOfSelectBox } = getValidOptionsOfSelectBox;

  const { createPlace } = createPlaceLogicMaker(depenedencies);
  return {
    createPlace,
    inputOptions: {
      getPlaceType: getPlacesTypeOptionsOfSelectBox,
      getParentIds: getValidParentIdsOptionsOfSelectBox,
    },
  };
};

export default createPlaceModel;
