import { placeTypes } from '../view/protocol';

export type createPlaceArguments = {
  placeType: `${placeTypes}`;
  placeName: string;
  parentId: string;
};

export interface ICreatePlaceLogicMaker {
  httpHandler: (placeData: createPlaceArguments) => Promise<string>;
}

const createPlaceLogicMaker = (depenedencies: ICreatePlaceLogicMaker) => {
  const { httpHandler } = depenedencies;

  const createPlace = async (placeData: createPlaceArguments) => {
    return await httpHandler(placeData);
  };
  return {
    createPlace,
  };
};

export default createPlaceLogicMaker;
