import { useState } from 'react';
import PlacesModel from '~/business-logic/core/places/common/model/placesModel';
import { placesListReturnType } from './protocols';

interface IPlacesListVM {
  useGetPlacesList: () => {
    data: PlacesModel | undefined;
    isLoading: boolean;
    error?: string | undefined;
  };
}
const usePlacesListVM = (dependencies: IPlacesListVM): placesListReturnType => {
  const { useGetPlacesList } = dependencies;
  const placesData = useGetPlacesList();
  const [selectedRowId, setSelectedRowId] = useState<string>('');

  return {
    selectedRowId,
    setSelectedRowId,
    placesData,
  };
};

export default usePlacesListVM;
