/** @type {import('tailwindcss').Config} */
module.exports = {
  content: ['./src/**/*.{js,jsx,ts,tsx}'],
  theme: {
    extend: {
      colors: {
        primary: {
          main: 'var(--color-primary-main)',
          100: 'var(--color-primary-100)',
          200: 'var(--color-primary-200)',
          300: 'var(--color-primary-300)',
        },
        secondary: {
          main: '#D700FE',
          dark: '#9E00C5'
        },
        bg: {
          white: '#FFFFFF',
          gray: '#F2F3F5'
        },
        txt: {
          black: '#000000',
          medium: 'var(--color-text-medium)',
          second: '#D1D1D1',
          light: 'var(--color-text-light)',
          second: '#B4B4B4',
        },
        gradient: {
          primary: 'var(--color-gradient-primary-dark)',
          button: 'var(--color-gradient-button)'
        },
        separated: {
          border: 'var(--color-separated-border)'
        },
      }
    },
  },
  plugins: [],
}
